﻿.GridContainer {
    color: #333333;
    background-color: white;
    overflow-y: hidden;
    overflow-x: hidden;
    white-space: nowrap;
    clear: both;
}

.GridHeaderContainer {
    background-color: white;
    overflow: hidden;
    color: #616161;
    clear: both;
}

.GridHeaderContainer > div {
    cursor: default;
}

.GridHeaderContainer span {
    display: inline-block;
    vertical-align: middle;
    padding: 6px 5px 6px 5px;
    overflow:hidden;
    font-weight: 600;
}


.Grid {
    overflow-y: scroll;
    overflow-x: hidden; 
    white-space:nowrap;
    background-color:white;
}

.Grid span {
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    vertical-align: middle;
    padding: 6px 5px 6px 5px;
}

.Grid div {
    cursor: default;
    min-height: 23px;
    border-bottom: 1px solid #e0e0e0;
}
.Grid div:nth-child(2n+1) {
    background-color: #f2f2f2;
}

/*the reason that both sets of styling are very similar is
  the above css was written in an attempt to refactor the code below, but it didn't
  take into account of every instance that the below css classes are used, 
  this is styling that is mostly used by the job modals/semantic modals
  for more info, look at changeset 13111.
*/
.grid {
    overflow-y: scroll;
    overflow-x: hidden; 
    white-space:nowrap;
    background-color:white;
}

    .grid span {
        display: inline-block;
        vertical-align: top;
        white-space: nowrap;
        overflow: hidden;
        padding: 3px;
    }

    .grid > div {
        cursor: default;
        height: 23px;
    }

        .grid > div.selected {
            background-color: #E0F0FF;
        }
.gridHeader {
    overflow-y:no-display;
    background-color: #E4E4E4;
    white-space:nowrap;
}

.gridHeader span {
    display: inline-block;
    vertical-align: top;
    padding: 3px;
}

.gridHeader > div {
    cursor: default;
}

body .grd-hdr-gray-2 {
    font-weight: bold;
    background-color: #D9D9D9;
}

body .grd-hdr-height{ 
     height:39px;
 }
